// **************************************************************************
// * This file is part of the FreeFileSync project. It is distributed under *
// * GNU General Public License: http://www.gnu.org/licenses/gpl.html       *
// * Copyright (C) 2008-2011 ZenJu (zhnmju123 AT gmx.de)                    *
// **************************************************************************

#include <iostream>
#include <wx/init.h>
#include <gtest/gtest.h>


class InitEnvironment : public testing::Environment
{
public:
    //define how to set up the environment.
    virtual void SetUp()
    {
        //note: a static wxInitializer screws up internally due to undefined static initialization sequence, so we better do it ourselves
        ASSERT_TRUE(wxInitialize());
    }
    //tear down the environment.
    virtual void TearDown()
    {
        wxUninitialize();
    }
};


int main(int argc, char* argv[])
{
    std::cout << "Running main() from main.cpp\n";

    testing::InitGoogleTest(&argc, argv);
    testing::AddGlobalTestEnvironment(new InitEnvironment); //ownership transferred => no deletion necessary

    return RUN_ALL_TESTS();
}
