// **************************************************************************
// * This file is part of the FreeFileSync project. It is distributed under *
// * GNU General Public License: http://www.gnu.org/licenses/gpl.html       *
// * Copyright (C) 2008-2011 ZenJu (zhnmju123 AT gmx.de)                    *
// **************************************************************************

#include <windows.h>        //
#include "find_file_plus.h" //requires <windows.h>
#include <string>
#include <zen/scope_guard.h>
#define FFS_WIN
#include <zen/file_id_def.h>

using namespace findplus;
using namespace zen;


int main()
{
    //std::string refId = getFileID(L"C:\\wlan.txt");

    DWORD volumeSerialNumber = 0;
    if (!::GetVolumeInformation(L"C:\\", //__in_opt   LPCTSTR lpRootPathName,
                                NULL,               //__out      LPTSTR lpVolumeNameBuffer,
                                0,                  //__in       DWORD nVolumeNameSize,
                                &volumeSerialNumber,               //__out_opt  LPDWORD lpVolumeSerialNumber,
                                NULL,               //__out_opt  LPDWORD lpMaximumComponentLength,
                                NULL,               //__out_opt  LPDWORD lpFileSystemFlags,
                                NULL,             //__out      LPTSTR lpFileSystemNameBuffer,
                                0))       //__in       DWORD nFileSystemNameSize
        return -1;

    //const wchar_t dirname[] = L"\\\\192.168.1.27\\new2\\.recycle\\a";
    const wchar_t dirname[] = L"\\\\?\\C:\\";
    //const wchar_t dirname[] = L"V:\\CRYPTO.README";
    //const wchar_t dirname[] = L"V:\\";
    //const wchar_t dirname[] = L"X:\\test\\";

    FindHandle searchHnd = openDir(dirname);
    FileInformation fileInfo = {};
    for (;;)
    {
        if (!readDir(searchHnd, fileInfo)) //returns false on error or if there are no more files; ::GetLastError() returns
        {
            DWORD lastError = ::GetLastError();
            (void)lastError;
            //ERROR_NO_MORE_FILES
            break;
        }

        FileId id;
        if (fileInfo.shortName == std::wstring(L"trg"))
            id = extractFileID(volumeSerialNumber, fileInfo.fileId);
    }
    closeDir(searchHnd);

    return 0;
}
